// (c) 2016, SAS Institute Inc.

sap.ui.define(['jquery.sap.global',
    "sap/ui/core/Core",
    'sap/uxap/library'], // library dependency
    function(jQuery, sapCore) {

        "use strict";

        /**
         * @namespace
         * @name sas.hc.uxap
         * @public
        */

        // delegate further initialization of this library to the Core
        sap.ui.getCore().initLibrary({
            name : "sas.hc.uxap",
            version : "904001.3.0.20230626123600_f0htmcm94p",
            dependencies : ["sap.uxap"],
            types : [
            ],
            interfaces : [
            ],
            controls : [
                "sas.hc.uxap.AnchorBar",
                "sas.hc.uxap.BlockBase",
                "sas.hc.uxap.HierarchicalSelect",
                "sas.hc.uxap.ModelMapping",
                "sas.hc.uxap.ObjectPageHeaderContent",
                "sas.hc.uxap.ObjectPageHeaderLayoutData"
            ],
            elements : [
            ]
        });

        return sas.hc.uxap;

    }
);
