// (c) 2014, SAS Institute Inc.

 sap.ui.define(['jquery.sap.global', 'sap/ui/core/Core',
    "sap/ui/core/library" // library dependency
],
    function(jQuery) {
        "use strict";

        /**
         * @namespace
         * @name sas.hc.home
         * @public
        */

        // delegate further initialization of this library to the Core
        sap.ui.getCore().initLibrary({
            name : "sas.hc.home",
            dependencies : ["sap.ui.core"],
            noLibraryCSS: true,
            types : [
            ],
            interfaces : [
            ],
            controls : [
                "sas.hc.home.customTiles.CustomTileAction",
                "sas.hc.home.customTiles.HomeProxy",
                "sas.hc.home.customTiles.PostMessageHandler"
            ],
            elements : [
            ],
            version : "904001.3.0.20230626123600_f0htmcm94p"});

        return sas.hc.home;
    }
);